﻿using System;
using System.Collections.Generic;
using System.Linq;
using Telerik.Windows.Data;

namespace CustomAggregateFunctionSL
{
    public class MyAggregateFunction : EnumerableAggregateFunction
    {
        protected override string AggregateMethodName
        {
            get
            {
                return "MyAggregateMethod";
            }
        }

        protected override Type ExtensionMethodsType
        {
            get
            {
                return typeof(MyAggregates);
            }
        }
    }

    public class MyAggregates
    {
        public static double MyAggregateMethod<TSource>(IEnumerable<Item> source)
        {
            
            double sum1 = 0;
            double sum2 = 0;
            foreach (Item item in source)
            {
                sum1 += item.Value1;
                sum2 += item.Value2;
            }

            return sum1 / sum2 * 100;
        }
    }
}
